<?php

include('includes/hlava.php');
title('Klub priateľov fotografie', '');

if ($link) {
  if ($db_selected) {
  
include('includes/vedla.php');
odkaz('');
include('includes/menu.php');
menu('','');
?>        
          
        <div class="obsah">   
          
<?php

		  $zobraz_formular = false;
  		if (isset($_POST['submit'])) {
  		  $size = getimagesize($_FILES['foto']['tmp_name']);
  			if (($size[0]<801) && ($size[1]<801) && isset($_POST["titul"]) && ($_POST["titul"] != "") && isset($_POST["kategoria"]) && ($_POST["kategoria"] != "NULL") && isset($_FILES['foto']) && ($_FILES['foto']['size'] < 153600)) {
        $nazov = 'xxx'; 
      	if (isset($_FILES['foto'])) :
      	  if ($_FILES['foto']['error'] == UPLOAD_ERR_OK) {
      			if (is_uploaded_file($_FILES['foto']['tmp_name'])) {
      				$nazov = $_FILES['foto']['name'];
      			}
      		} elseif ($_FILES['foto']['error'] != UPLOAD_ERR_NO_FILE) { 
               echo '<p style="color: #FF0000;">Foto NEbolo prenesené, nastal problém pri uploadovaní súboru. Chyba č. ' . $_FILES['obr']['error'] . '</p>';
      	   	  $zobraz_formular = true;
          }
      	endif;

        if ($nazov !== 'xxx') {
              $sql = "INSERT INTO kpf_photos (id,aid,foto,nazov,kategoria,tech,pozn,pridane) VALUES (NULL, '". $_SESSION["aid"] . "', '".$nazov."', '". $_POST["titul"] ."', '". $_POST["kategoria"] ."', '". nl2br($_POST["tech"]) ."', '". nl2br($_POST["pozn"]) ."', NOW());";
           		$result = mysql_query($sql, $link);
           		if ($result) {
                echo '<p><strong>Fotografia bola odoslaná.</strong></p>';
                      
          		} else {
        				echo '<p style="color: #FF0000;">Fotografia NEbola odoslaná, nastal problém pri zápise do databázy - ' . mysql_errno($link) . ': ' . mysql_error($link) . '</p>';                
              }
              $cislo = mysql_insert_id();
      			  $nazov = $_SESSION['aid'] . '-' . $cislo . '.jpg';
      			  
                $size=getimagesize($_FILES['foto']['tmp_name']);
      			  
      			    $pomer = $size[0] / $size[1];
                $new_height = '100';
                $new_width = '100'*$pomer;
                
                if ($new_width>135){
                $pomer = $size[1]/$size[0];
                $new_width = '130';
                $new_height = '130'*$pomer;  
                }
                /* vytvorenie cieľového a zdrojového obrázku */
                $im = imagecreatetruecolor($new_width,$new_height);
                $res_im=imagecreatefromjpeg($_FILES['foto']['tmp_name']);
                /* kopírovanie oblasti do cieľového obázku */
                imagecopyresampled($im,$res_im,0,0,0,0,$new_width+1,$new_height+1,$size[0],$size[1]);
                /* zrušenie zdrojového obrázku */
                imagedestroy($res_im);                
                /* výstup náhľadu do suboru */
                imagejpeg($im, 'photos/small/'.$nazov, 90);      			  
      			  
      				move_uploaded_file($_FILES['foto']['tmp_name'], 'photos/' . $nazov);
      				$sql = "UPDATE kpf_photos SET foto='".$nazov."' WHERE id=$cislo;";
           		$result = mysql_query($sql, $link);	
           		if ($result) {
           		
                  $sql3 = "SELECT P.id
                          FROM kpf_photos P
                          ORDER BY P.id DESC
                          LIMIT 1;";
                  $result3 = mysql_query($sql3, $link);
                  if ($result3) {
                    $row3 = mysql_fetch_assoc($result3);
                    $f_id = $row3['id'];
                  }

                  $sql2 = "SELECT A.mail
                          FROM kpf_author A
                          WHERE rss_fotka='1';";
                  $result2 = mysql_query($sql2, $link);
                  if ($result2) {
                      $i = '0';
                      while ($row2 = mysql_fetch_assoc($result2)) {
                        if ($i != '0')
                          $maily .=", ";
                        $maily .= $row2['mail'];
                        $i++;
                      }
                      mail("$maily", "Nova fotka na sedf-klub.sk", 
                           "Mily priatel fotografie:)\n\nNa klubovej stranke je nova fotka:\nhttp://sedf-klub.sk/photo.php?id=".$f_id."\n\nAk nechces dostavať informacie o novych fotkach klikni na http://sedf-klub.sk/nastav.php.\n\nS pozdravom\nJano Duriga", "from: kpf@sedf-klub.sk");
                  }		 
           		
                header("Location: index.php");
                
              } else {
                   echo '<p style="color: #FF0000;">Fotografia sa už vo fotogalérii nachádza.</p>';                
              }
        }
      } else {
        //neboli zadane vsetky potrebne udaje 
        if (isset($_POST["titul"]) && ($_POST["titul"] == "") OR isset($_POST["kategoria"]) && ($_POST["kategoria"] == "NULL")){
        echo '<p style="color: #FF0000;">Nezadali ste súbor s fotografiou alebo jej popis.</p>';
        }
        else {
        echo '<p style="color: #FF0000;">Bud ste nevlozili fotku, alebo nesplna kriteria.</p>';
        }
        $zobraz_formular = true;
      }
      } else {
        if ($_SESSION['aid'] == 0){
        $zobraz_formular = false;
        }
        else {
        $zobraz_formular = true;
        }
      }
      ?>
          
      <?php if ($zobraz_formular) : ?>    
          <h2>Vložiť <em>fotku</em></h2>
                  
              <p>Fotku, ktorá nemá ísť do galérie, <a href="vloz_do_fora.php">vlož tu</a>.</p> 
              <p>Maximalna velkost <strong>800x800</strong> pixelov.<br/>
              Subor musi byt vo formate <strong>JPG</strong>.<br/>
              Nesmie byt vacsi ako <strong>150kb</strong>.<br/>
              <strong>Kazdy tyzden maximalne 5 fotiek.</strong></p>
              <form class="login" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post" enctype="multipart/form-data">
                <p class="form"><em class="bold">* Titulok fotky</em> <input name="titul" size="35" type="text" maxlength="30"/><br />
                <em class="bold">* Súbor</em> <input type="file" name="foto" size="35"/><input type="hidden" name="MAX_FILE_SIZE" value="1" /><br />
                <em class="bold">* Kategória</em> <select name="kategoria">
                                      <option value="NULL" selected="selected">Vyber kategoriu!</option>
                                      <option value="Abstakt">Abstrakt</option>
                                      <option value="Akt a glamour">Akt a glamour</option>
                                      <option value="Architektúra">Architektúra</option>
                                      <option value="Cestopis">Cestopis</option>
                                      <option value="Divadlo a hudba">Divadlo a hudba</option>
                                      <option value="Dokument">Dokument</option>
                                      <option value="Experiment">Experiment</option>
                                      <option value="Humor">Humor</option>
                                      <option value="Inscenovaná">Inscenovaná</option>
                                      <option value="Krajina">Krajina</option>
                                      <option value="Makro">Makro</option>
                                      <option value="Nočna">Nočná</option>
                                      <option value="Portrét">Portrét</option>
                                      <option value="Priatelia a rodina">Priatelia a rodina</option>
                                      <option value="Príroda">Príroda</option>
                                      <option value="Reportáž">Reportáž</option>
                                      <option value="Šport">Šport</option>
                                      <option value="Zátišie">Zátišie</option>
                                      <option value="Zvieratá">Zvieratá</option>
                                      <option value="Ostatné">Ostatné</option>
                                    </select></p><br /><p class="form">
                  <em>Technické informácie</em>
                  <textarea name="tech" cols="40" rows="4"></textarea><br />
                  <em>Poznámky a odkazy</em>
                  <textarea name="pozn" cols="40" rows="4"></textarea><br />
                  <em class="bold">* povinné údaje</em></p>
                <input class="ok" name="submit" type="submit" id="submit" value="vložiť"/>
              </form>
              
              
      <?php
        else :
        if ($_SESSION['aid'] == 0){
      ?>
      <h2>Treba <em>sa</em> prihlásiť</h2>
      
      <?php
      }
      endif; // kontrola SESSION        
        		} // end vyber db
        		mysql_close($link);
        	} // end spojenie s db

include('includes/pata.php');
      ?>
